# OgreShaderRenderState.h File Reference

`#include "OgreShaderPrerequisites.h"`
`#include "OgreShaderSubRenderState.h"`
`#include "OgreSharedPtr.h"`

Go to the source code of this file.

## Classes

class | Ogre::RTShader::RenderState
| This is a container class for sub render state class. More...
class | Ogre::RTShader::TargetRenderState
| This is the target render state. More...

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Typedefs

typedef vector< RenderState * > ::type | Ogre::RTShader::RenderStateList
typedef RenderStateList::iterator | Ogre::RTShader::RenderStateIterator
typedef RenderStateList::const_iterator | Ogre::RTShader::RenderStateConstIterator

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52